Linux:
======
CC	= gcc
CXX	= gcc
SFLAGS	= -fPIC -DPIC

all:    kernel.so

%.lo: %.cc Makefile
        ${CC} ${CFLAGS} -c -fPIC -DPIC $< -o $*.lo

%.la: %.cc Makefile
        ${CC} ${CFLAGS} -c $< -o $*.la

kernel.so: ${OBJS}
        ${CC} ${CFLAGS} -shared -Wl,-soname -Wl,kernel.so.1 \
                -o kernel.so.1.1.0 ${OBJS}
        rm -f kernel.so
        ln -s kernel.so.1.1.0 kernel.so


HPUX-9/10:
=======
CC	= gcc
CXX	= gcc
SFLAGS	= -fPIC -DPIC

all:	kernel.sl

%.o: %.cc Makefile
	${CC} ${CFLAGS} -c ${SFLAGS} $< -o $*.o

kernel.sl: ${OBJS}
	$(LD) -b -o kernel.sl $(OBJS)
